@import url('https://fonts.googleapis.com/css?family=Nunito');

:root{
  --main-color: seagreen
  ;
}
body{
  font-family: 'Nunito', sans-serif;
  background: #f4f4f4;
}

#todo-page{
  margin-top:1em;
  display:grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 1em;
}
.alert{
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
}
.input-group>.input-group-append>.btn, .input-group>.input-group-append>.input-group-text, .input-group>.input-group-prepend:first-child>.btn:not(:first-child), .input-group>.input-group-prepend:first-child>.input-group-text:not(:first-child), .input-group>.input-group-prepend:not(:first-child)>.btn, .input-group>.input-group-prepend:not(:first-child)>.input-group-text {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 15px;
  border-top-right-radius: 2px;
  background: var(--main-color);
  border-color: var(--main-color)

}
.btn-success{
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 2px;
  background-color: var(--main-color) !important;
  border-color: var(--main-color) !important;
}
.card-body{
  border-bottom-right-radius: 30px;
  box-shadow: 0 1px 0px var(--main-color);
  transition: ease-out 200ms;
}

.card-body:hover{
  box-shadow: 0 1px 15px rgba($color: #000000, $alpha: 0.2);
}
#todo-page{
  padding-bottom: 1em;
}
.todo-item{
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
}

.todo-item *{
  align-self: center;
}

.check img, .close img{
  width:100%;
  transition: ease-out 200ms;
}

.check img:hover, .close img:hover{
  transform: scale(1.5);
  cursor: pointer;
}

#appContent{
  position: relative;
  min-height: calc(100vh - 156px);
}

footer{
  height:100px;
  display:flex;
  align-items: center;
  justify-content: center;
  background: var(--main-color);
  color: #fff;
}
footer p{
  margin: 0;
}

.loader{
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%,-50%);

  h2{
    font-weight: 600;
  }
  img{
    width:30%;
  }
  animation: loader ease-out 500ms;
  animation-iteration-count: 1;
  transform-origin: 50% 50%;
  // animation-fill-mode:forwards; /*when the spec is finished*/
  -webkit-animation: loader ease-out 500ms;
  -webkit-animation-iteration-count: 1;
  -webkit-transform-origin: 50% 50%;
  // -webkit-animation-fill-mode:forwards; /*Chrome 16+, Safari 4+*/ 
  -moz-animation: loader ease-out 500ms;
  -moz-animation-iteration-count: 1;
  -moz-transform-origin: 50% 50%;
  // -moz-animation-fill-mode:forwards; /*FF 5+*/
  -o-animation: loader ease-out 500ms;
  -o-animation-iteration-count: 1;
  -o-transform-origin: 50% 50%;
  // -o-animation-fill-mode:forwards; /*Not implemented yet*/
}

@keyframes loader{
  0% {
    opacity:0;
    transform:  translate(-50%,-70%)  ;
  }
  100% {
    opacity:1;
    transform:  translate(-50%,-50%)  ;
  }
}

@-moz-keyframes loader{
  0% {
    opacity:0;
    -moz-transform:  translate(0px,-25px)  ;
  }
  100% {
    opacity:1;
    -moz-transform:  translate(0px,0px)  ;
  }
}

@-webkit-keyframes loader {
  0% {
    opacity:0;
    -webkit-transform:  translate(0px,-25px)  ;
  }
  100% {
    opacity:1;
    -webkit-transform:  translate(0px,0px)  ;
  }
}

@-o-keyframes loader {
  0% {
    opacity:0;
    -o-transform:  translate(0px,-25px)  ;
  }
  100% {
    opacity:1;
    -o-transform:  translate(0px,0px)  ;
  }
}



.cardSignInUp{
  width: 400px;
  margin:0 auto;
  padding: 3em;
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%,-50%)
}

.img-cont{
  height: 400px;
  max-height: 85vh;
  width:100%;
  text-align: center;
  background: url('../assets/img/undraw_memory_storage.svg') no-repeat;
  background-size: cover;
}

.img-cont img{
  object-fit: cover;
  width:50%;
  height: 400px;
}

.desc {
  h3{
    font-weight: 600
  }

  p{
    font-size: 0.8em;
    color: rgba($color: #141414, $alpha: 0.5)
  }
}

.nav-link:hover{
  cursor: pointer;
}

@media(max-width:660px){
  .desc {
    h3{
      font-size: 1em;
    }
  }

  .cardSignInUp{
    width: 90%;
  }
  .todo-item{
    grid-template-columns: 1fr 3fr 1fr;
  }
}

@media(max-width:425px){
  .cardSignInUp{
    position: absolute;
    top:50%;
    // left:0;
    // transform: translate(0,0);
    width: 100%;
  }
}